package org.artifactory.addon.tracker;

import lombok.NonNull;
import org.artifactory.addon.Addon;
import org.artifactory.addon.license.EdgeAddon;
import org.artifactory.addon.license.EnterprisePlusAddon;
import org.artifactory.api.tracker.GroupsTopologyModel;
import org.artifactory.keys.TrustedKey;
import org.artifactory.util.UnsupportedByLicenseException;

import java.util.List;

@EdgeAddon
@EnterprisePlusAddon
public interface TrackerAddon extends Addon {

    @NonNull
    default GroupsTopologyModel getServiceStatus() {
        throw new UnsupportedByLicenseException("Tracker status is only available " +
                "on Edge or Enterprise Plus licensed Artifactory instances.");
    }

    default void updateReleaseBundleKeys(@NonNull List<TrustedKey> keys) {
        throw new UnsupportedByLicenseException("Tracker keys update is only available " +
                "on Edge or Enterprise Plus licensed Artifactory instances.");
    }
}
