package org.artifactory.rest.common.service.admin.xray;

import com.google.common.collect.Sets;
import org.apache.commons.lang.StringUtils;
import org.artifactory.api.build.BuildService;
import org.artifactory.projects.ProjectsService;
import org.artifactory.rest.common.service.ArtifactoryRestRequest;
import org.artifactory.rest.common.service.RestResponse;
import org.artifactory.rest.common.service.RestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author Mor Merhav
 */
@Component
public class GetXrayBuildRepoNamesService implements RestService<String> {

    private final BuildService buildService;

    @Autowired
    public GetXrayBuildRepoNamesService(BuildService buildService) {
        this.buildService = buildService;
    }

    @Override
    public void execute(ArtifactoryRestRequest<String> request, RestResponse response) {
        String projectKey = request.getQueryParamByKey(ProjectsService.PROJECT_KEY);
        if (StringUtils.isBlank(projectKey)) {
            response.iModel(buildService.getAllBuildInfoRepos());
            return;
        }
        response.iModel(Sets.newHashSet(buildService.getBuildInfoRepoKeyByProject(projectKey)));
    }
}
